from flask import Flask, jsonify
from dotenv import load_dotenv
from db import db

from models import User

app = Flask(__name__)


@app.route('/')
def hello_world():
    return 'Hello World!'


@app.route('/users')
def users():
    res = []
    for i in User.query.all():
        res.append(i.to_dict(show='*'))

    return jsonify(res)

ded
def create_app():
    load_dotenv()

    # Create Flask app load app.config
    application = Flask(__name__)
    application.config.from_object("config.ConfigClass")

    application.app_context().push()

    db.init_app(application)

    return application


app = create_app()

# Start development web server
if __name__ == '__main__':
    app.run()

